Package org.eclipse.m2m.atl.dsls.tcs.extractor

# Interface ModelAdapter

All Known Implementing Classes:
  `ASMModelAdapter`, `EMFTCSExtractor.EMFExtractorAdapter`

public interface ModelAdapter

## Method Summary

Modifier and Type
Method
Description
`Object`
`get(Object me, String propName)`
`boolean`
`getBool(Object me, String propName)`
`boolean`
`getBoolUndefinedIsFalse(Object me, String propName)`
`Iterator`
`getCol(Object me, String propName)`
`Set`
`getElementsByType(Object model, String typeName)`
`String`
`getEnumLiteralName(Object me)`
`int`
`getInt(Object me, String propName)`
`Object`
`getME(Object me, String propName)`
`Object`
`getMetaobject(Object me)`
`String`
`getName(Object me)`
`Object`
`getPropertyType(Object f, String propName)`
`String`
`getString(Object me, String propName)`
`String`
`getTypeName(Object me)`
`boolean`
`isAModelElement(Object o)`
`boolean`
`isEnumLiteral(Object value)`
`boolean`
`isPrimitive(Object value)`
`String`
`nextString(Iterator i)`
`Object`
`refImmediateComposite(Object me)`

## Method Details

### getString

String getString(Object me, String propName)

### getBool

boolean getBool(Object me, String propName)

### getBoolUndefinedIsFalse

boolean getBoolUndefinedIsFalse(Object me, String propName)

### getInt

int getInt(Object me, String propName)

### getCol

Iterator getCol(Object me, String propName)

### getME

Object getME(Object me, String propName)

### getName

String getName(Object me)

### getEnumLiteralName

String getEnumLiteralName(Object me)

### get

Object get(Object me, String propName)

### getElementsByType

Set getElementsByType(Object model, String typeName)

### getTypeName

String getTypeName(Object me)

### getMetaobject

Object getMetaobject(Object me)

### refImmediateComposite

Object refImmediateComposite(Object me)

### isAModelElement

boolean isAModelElement(Object o)

### getPropertyType

Object getPropertyType(Object f, String propName)

### isPrimitive

boolean isPrimitive(Object value)

### isEnumLiteral

boolean isEnumLiteral(Object value)

### nextString

String nextString(Iterator i)